CREATE TABLE hrs_group_space_assoc (
    GROUP_SPACE_ASSOC_ID     NUMBER(18, 0) ,
    BUSINESS_GROUP_ID        NUMBER(18, 0) ,
    OBJECT_ID                NUMBER(18, 0)     NOT NULL,
    OBJECT_TYPE              VARCHAR2(320)     NOT NULL,
    PRIMARY_FLAG             VARCHAR2(120) ,
    GROUP_SPACE_NAME         VARCHAR2(1024),
    GROUP_SPACE_GUID         VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    GROUP_SPACE_ASSOC_ID     NUMBER(18, 0) ,
    BUSINESS_GROUP_ID        NUMBER(18, 0) ,
    OBJECT_ID                NUMBER(18, 0)     NOT NULL,
    OBJECT_TYPE              VARCHAR2(320)     NOT NULL,
    PRIMARY_FLAG             VARCHAR2(120) ,
    GROUP_SPACE_NAME         VARCHAR2(1024),
    GROUP_SPACE_GUID         VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_hrs_group_space_assoc PRIMARY KEY (GROUP_SPACE_ASSOC_ID, GROUP_SPACE_ASSOC_ID)
);
